package com.qs.mp.admin.domain.param;

import com.baomidou.mybatisplus.annotation.TableField;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotEmpty;
import javax.validation.constraints.NotNull;
import java.util.Date;
import java.util.List;

/**
 * 拼团活动创建入参类
 *
 * @author yang.zhao
 */
@ApiModel("拼团活动创建入参类")
@Data
public class GroupBuyingCreateParam {

    @ApiModelProperty(value = "活动标题", required = true)
    @NotBlank(message = "活动标题不能为空")
    private String title;

    @ApiModelProperty(value = "活动主图", required = true)
    @NotBlank(message = "活动主图不能为空")
    private String picUrl;

    @ApiModelProperty(value = "开始时间", required = true)
    @NotNull(message = "开始时间不能为空")
    private Date startTime;

    @ApiModelProperty(value = "结束时间", required = true)
    @NotNull(message = "结束时间不能为空")
    private Date endTime;

    @ApiModelProperty(value = "拼团有效期", required = true)
    @NotBlank(message = "拼团有效期不能为空")
    private String groupEffectiveTime;

    @ApiModelProperty(value = "成团人数", required = true)
    @NotBlank(message = "成团人数不能为空")
    private Integer groupSize;

    @ApiModelProperty(value = "每个用户发起拼团的最大次数", required = false)
    private Integer startGroupTimes;

    @ApiModelProperty(value = "每个用户参与拼团的最大次数", required = false)
    private Integer partinGroupTimes;

    @ApiModelProperty("活动最大成团次数")
    private Integer completeGroupTimes;

    @ApiModelProperty(value = "返佣系统百分比", required = true)
    @NotBlank(message = "返佣系数不能为空")
    private Integer rebateCoefficientNum;

    @ApiModelProperty(value = "参与门店", required = false)
    private Integer partinStore;

    @ApiModelProperty(value = "是否允许退款，0：允许；1不允许", required = false)
    private Integer isRefund;

    @ApiModelProperty(value = "是否上架，0：上架；1：下架", required = false)
    private Integer isPutaway;

    @ApiModelProperty(value = "拼团价格，单位：分", required = true)
    @NotBlank(message = "拼团价格不能为空")
    private Integer groupPrice;

    @ApiModelProperty(value = "活动描述", required = false)
    private String description;

    @NotEmpty(message = "奖级列表不能为空")
    @ApiModelProperty(value = "奖级列表", required = true)
    List<GroupBuyingAwardsParam> awardsList;
}
