package com.qs.mp.admin.domain.param;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableLogic;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotEmpty;
import javax.validation.constraints.NotNull;
import java.util.Date;
import java.util.List;

/**
 * @author yang.zhao
 */
@ApiModel(value= "拼团活动中奖信息入参类")
@Data
public class GroupBuyingHitPrizeParam {

    @ApiModelProperty(value = "中奖纪录ID",required = false)
    private Long id;

    @ApiModelProperty(value = "拼团活动ID",required = false)
    private Long groupbuyingId;

    @ApiModelProperty(value = "拼团ID",required = false)
    private Long groupId;

    @ApiModelProperty(value = "用户ID",required = false)
    private Long userId;

    @ApiModelProperty(value = "用户类型",required = false)
    private String userType;

    @ApiModelProperty(value = "奖项ID",required = false)
    private Long awardsId;

    @ApiModelProperty(value = "奖品ID",required = false)
    private Long prizeId;

    @ApiModelProperty(value = "奖品数",required = false)
    private Integer prizeQuantity;

    @ApiModelProperty(value = "奖品类型",required = false)
    private String prizeType;

    @ApiModelProperty(value = "发货状态，0：待发货，1：已完成",required = false)
    private Integer deliverGoodsStatus;

}
