package com.qs.mp.admin.domain.vo;

import com.baomidou.mybatisplus.annotation.*;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.math.BigDecimal;
import java.util.Date;


/**
 * @ClassName GroupBuyingGroup
 * @author yang.zhao
 * @Version 1.0
 * @Description 拼团活动拼团表实体
 */
@TableName("mp_groupbuying_group")
@Data
@ApiModel("拼团活动拼团表实体类")
public class GroupBuyingGroup implements Serializable {
    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "团id,主键")
    @TableId(value = "id", type = IdType.AUTO)
    private Long id;

    @ApiModelProperty(value = "拼团活动id")
    @TableId(value = "groupbuying_id")
    private Long groupbuyingId;

    @ApiModelProperty("参团人数")
    @TableField("partin_num")
    private Integer partinNum;


    @ApiModelProperty("参团用户ID")
    @TableField("partin_ids")
    private Integer partinIds;

    @ApiModelProperty("成团状态，0：进行中，1：已完成，2：已结束")
    @TableField("group_status")
    private Integer groupStatus;

    @ApiModelProperty("发起人ID")
    @TableField("start_group_user")
    private Long startgroupuser;

    @ApiModelProperty("发起人手机号")
    @TableField("start_group_user_mobile")
    private Long startGroupUserMobile;

    @ApiModelProperty("拼团截止时间")
    @TableField("group_end_time")
    private Date groupEndTime;

    @ApiModelProperty("创建时间")
    @TableField("create_time")
    private Date createTime;

    @ApiModelProperty("更新时间")
    @TableField("update_time")
    private Date updateTime;

    @ApiModelProperty("逻辑删除标识")
    @TableField("is_delete")
    @TableLogic
    private Integer isDelete;

}