package com.qs.mp.admin.domain.vo;

import com.baomidou.mybatisplus.annotation.*;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.math.BigDecimal;
import java.util.Date;

/**
 * @describe 拼团活动用户拼团订单实体类
 * @auther yang.zhao
 */
@TableName("mp_groupbuying_order")
@Data
@ApiModel("拼团活动用户拼团订单实体类")
public class GroupBuyingOrder implements Serializable {
    private static final long serialVersionUID = 1L;

    @ApiModelProperty("订单号")
    @TableId(value = "order_id", type = IdType.INPUT)
    private String orderId;

    @ApiModelProperty("拼团活动ID")
    @TableId(value = "groupbuying_id")
    private Long groupbuyingId;

    @ApiModelProperty("拼团活动名称")
    @TableId(value = "groupbuying_title")
    private Long groupbuyingTitle;

    @ApiModelProperty("拼团ID")
    @TableId(value = "group_id")
    private Long groupId;

    @ApiModelProperty("用户ID")
    @TableId(value = "user_id")
    private Long userId;

    @ApiModelProperty("订单金额")
    @TableId(value = "order_amt")
    private Integer orderAmt;

    @ApiModelProperty("用户ID")
    @TableId(value = "group_price")
    private Integer groupPrice;

    @ApiModelProperty("实付金额")
    @TableId(value = "pay_amt")
    private Integer payAmt;

    @ApiModelProperty("分佣的销售额百分比")
    @TableId(value = "sale_comm_rate")
    private BigDecimal saleCommRate;

    @ApiModelProperty("订单备注")
    @TableId(value = "memo")
    private String memo;

    @ApiModelProperty("订单来源")
    @TableId(value = "resource")
    private String resource;

    @ApiModelProperty("订单状态;-1 已取消 0:待付款 1:已完成")
    @TableId(value = "status")
    private Integer status;

    @ApiModelProperty("结佣状态 未结0，已结1")
    @TableId(value = "comm_status")
    private Integer commStatus;

    @ApiModelProperty("线下购买渠道经销商")
    @TableId(value = "channel_id")
    private Long channelId;

    @ApiModelProperty("推广员ID")
    @TableId(value = "promoter_id")
    private Long promoterId;

    @ApiModelProperty("用户分享信息")
    @TableId(value = "share_info")
    private String shareInfo;

    @ApiModelProperty("来源小程序id")
    @TableId(value = "app_id")
    private String appId;

    @ApiModelProperty("支付类型1支付宝,2微信,10支付宝直连")
    @TableId(value = "pay_type")
    private String payType;

    @ApiModelProperty("支付时间")
    @TableId(value = "pay_time")
    private Date payTime;

    @ApiModelProperty("奖品名称")
    @TableId(value = "prize_title")
    private String prizeTitle;

    @ApiModelProperty("奖品类型 goods 实物商品 coupon优惠券 coin平台代币 coupon_pkg券包")
    @TableId(value = "prize_type")
    private String prizeType;

    @ApiModelProperty("奖品数")
    @TableId(value = "prize_quantity")
    private Integer prizeQuantity;

    @ApiModelProperty("收货地址-省")
    @TableId(value = "province")
    private String province;

    @ApiModelProperty("收货地址-市")
    @TableId(value = "city")
    private String city;

    @ApiModelProperty("收货地址-区")
    @TableId(value = "area")
    private String area;

    @ApiModelProperty("收货地址-详细")
    @TableId(value = "address")
    private String address;

    @ApiModelProperty("物流ID")
    @TableId(value = "delivery_id")
    private String deliveryId;

    @ApiModelProperty("物流单号")
    @TableId(value = "delivery_flow_id")
    private String deliveryFlowId;

    @ApiModelProperty("发货时间")
    @TableId(value = "delivery_time")
    private Date deliveryTime;

    @ApiModelProperty("确认收货时间")
    @TableId(value = "confirm_time")
    private Date confirmTime;

    @ApiModelProperty("门店名称")
    @TableId(value = "channel_name")
    private String channelName;

    @ApiModelProperty("收货人名称")
    @TableId(value = "user_name")
    private String userName;

    @ApiModelProperty("收货人手机号")
    @TableId(value = "phonenumber")
    private String phonenumber;

    @ApiModelProperty("创建时间")
    @TableId(value = "create_time")
    private Date createTime;

    @ApiModelProperty("更新时间")
    @TableId(value = "update_time")
    private Date updateTime;

}